Subject: Re: git-svn problems with branches containing spaces

From: Jan Hudec <[email-masked]>
Date: Tue, 10 Jul 2007 20:33:28 +0200

On Tue, Jul 10, 2007 at 13:42:35 +0000, Gerrit Pape wrote:
> On Wed, Jun 27, 2007 at 08:53:06AM +0200, Ewald, Robert wrote:
> > As I have reported yesterday on IRC, git-svn has problems with branches
> > containing spaces.
> > I get the following message, when I want to clone from the repository
> > containing a branch with a space.
> > Cloning until the revision the branch is created everything works fine.
> > 
> > fatal: refs/remotes/Modbus Error Limit Fix: cannot lock the ref
> > update-ref -m r1897 refs/remotes/Modbus Error Limit Fix
> > ff0819c8e9c97c24e9865bc868c503fd9b64f980: command returned error: 128
> > 
> > Thanks for your help.
> 
> Hi, the same problem has been reported some time ago through
>  http://bugs.debian.org/430518
> 
> There's a patch attached to the report, but from a first glance, I don't
> think it's the solution.

It depends on whether it's OK for git to have refs with funny characters in
them. If it is, than the patch would be a fix. If not, than the escaping the
patch removes needs to be added to all other places that have any business
with refs.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>